Bug 604504 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox ...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:92dfc9c1e191f54059f733d493c...
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 05:19 UTC by Kevin Chapman
Modified: 2011-04-08 17:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-08 17:39:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.45 KB, text/plain)
2010-06-16 05:19 UTC, Kevin Chapman
no flags Details

Description Kevin Chapman 2010-06-16 05:19:53 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.6/firefox
comment: Running Thunderbird, Firefox, Pidgin, and VirtualBox.  Firefox closes on its own.
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.6/firefox
global_uuid: 92dfc9c1e191f54059f733d493c622c741c5f488
kernel: 2.6.33.5-112.fc13.x86_64
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Not sure.  Running Thunderbird, Firefox, Pidgin, and VirtualBox.  Firefox closes on its own.
2.
3.

Comment 1 Kevin Chapman 2010-06-16 05:19:55 UTC
Created attachment 424345 [details]
File: backtrace

Comment 2 d. johnson 2010-08-09 16:25:31 UTC
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update <package>' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.


#2  <signal handler called>
No symbol table info available.
#3  XPCNativeInterface::NewInstance (ccx=..., aInfo=0x7fd59a2511a0)
    at xpcwrappednativeinfo.cpp:420
        local_members = {{mName = 0, mVal = 140555344091136, mIndex = 1, 
            mFlags = 0}, {mName = 140555262660992, mVal = 140555139952904, 
            mIndex = 12288, mFlags = 35632}, {mName = 227887738768, mVal = 
    140552804761606, mIndex = 23216, mFlags = 41424}, {mName = 
    140555519953888, mVal = 140555343819072, mIndex = 6144, mFlags = 38747}, {
            mName = 0, mVal = 8589934593, mIndex = 35712, mFlags = 51142}, {
            mName = 140555262660672, mVal = 140555262660672, mIndex = 36928, 
            mFlags = 37504}, {mName = 140555147606720, mVal = 
    140555146276576, mIndex = 0, mFlags = 0}, warning: can't find linker symbol for virtual table for `XPCNativeMember' value
{mName = 227933306316, mVal = 
    140555139952640, mIndex = 13896, mFlags = 43572}, {mName = 
    140555660310080, mVal = 227933306408, mIndex = 55496, mFlags = 41883}, warning: can't find linker symbol for virtual table for `XPCNativeMember' value
warning:   found `nsAutoMonitor::~nsAutoMonitor()' instead
{
            mName = 227871577452, mVal = 140736545063432, mIndex = 38906, 
            mFlags = 3765}, {mName = 140555344091136, mVal = 140736545063648, 
            mIndex = 13888, mFlags = 43572}, {mName = 140552804761601, mVal = 
    227870785181, mIndex = 33504, mFlags = 51142}, {mName = 140736545063648, 
            mVal = 227880053616, mIndex = 0, mFlags = 0}, {mName = 
    140555390882208, mVal = 140736545063648, mIndex = 16039, mFlags = 3624}, {
            mName = 140555660995248, mVal = 227870786999, mIndex = 59690, 
            mFlags = 3626}, warning: can't find linker symbol for virtual table for `XPCNativeMember' value
{mName = 227836953345, mVal = 0, mIndex = 36301, 
            mFlags = 3624}}
        members = 0x7fd58ae50408
        i = 0
        constCount = 0
        str = <value optimized out>
        failed = 0
        methodCount = 27
        realTotalCount = 0
        obj = 0x0
        canScript = 1
        totalCount = <value optimized out>
        cur = <value optimized out>
        name = <value optimized out>
        interfaceName = <value optimized out>
#4  0x000000350e2aa382 in XPCNativeInterface::GetNewOrUsed (ccx=..., iid=
    0x7fd5a39bd8c8) at xpcwrappednativeinfo.cpp:273
        iface = {<AutoMarkingPtr> = {_vptr.AutoMarkingPtr = 0x350f2aeb90, 
            mNext = 0x7fffc7c68350, mTLS = 0x7fd5a1d68be0}, mPtr = 0x0}
        rt = 0x7fd5a39bf800
        map = 0x7fd5aa355c58
        info = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fd59a2511a0}, <No data fields>}
#5  0x000000350e298dbd in nsJSIID::HasInstance (this=<value optimized out>, 
    wrapper=<value optimized out>, cx=0x7fd5975b1800, 
    obj=<value optimized out>, val=<value optimized out>, bp=0x7fffc7c6864c, 
    _retval=0x7fffc7c684ec) at xpcjsid.cpp:601
        obj = <value optimized out>
        iid = 0x7fd5a39bd8c8
        other_wrapper = 0x7fd58ba4fac0
        ccx = {<nsAXPCNativeCallContext> = {_vptr.nsAXPCNativeCallContext = 
    0x350f2aef90}, mState = XPCCallContext::HAVE_CONTEXT, mXPC = 
    0x7fd5a1d05ab0, mThreadData = 0x7fd5a1d68be0, mXPCContext = 
    0x7fd59756f140, mJSContext = 0x7fd5975b1800, mContextPopRequired = 0, 
          mDestroyJSContextInDestructor = 0, mCallerLanguage = 
    XPCContext::LANG_JS, mPrevCallerLanguage = XPCContext::LANG_NATIVE, 
          mPrevCallContext = 0x7fffc7c68b80, mOperandJSObject = 0x350c2818b7, 
          mCurrentJSObject = 0x7fd59e65bca4, mFlattenedJSObject = 
    0x7fd5975b1800, mWrapper = 0x7fd5a1ddf600, mTearOff = 0x350c2818b7, 
          mScriptableInfo = 0x0, mSet = 0x350c271dea, mInterface = 
    0x7fd5975b1800, mMember = 0x0, mName = 0, mStaticMemberIsLocal = 
    203890154, mArgc = 53, mArgv = 0xffffc7c68440, mRetVal = 0x7fffc7c68450, 
          mReturnValueWasSet = -1619851056, mMethodIndex = 32725, mCallee = 
    0x0, mStringWrapperData = 
    "H\223\306\307\377\177\000\000\030\060u\237\325\177", '\000' <repeats 11 times>, "\030[\227\325\177\000\000\300y \232\325\177\000\000\000\000\000\000\000\000\000"}
        iface = {<AutoMarkingPtr> = {_vptr.AutoMarkingPtr = 0x350f2aeb90, 
            mNext = 0x7fffc7c68940, mTLS = 0x7fd5a1d68be0}, mPtr = 0x0}
        rv = 0




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Chris Campbell 2011-04-08 17:39:03 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.